Bug 1253655 - HostGroup Clone doesn't work if the hostgroup has parameters [NEEDINFO]
Summary: HostGroup Clone doesn't work if the hostgroup has parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1399395
TreeView+ depends on / blocked
 
Reported: 2015-08-14 11:52 UTC by Sachin Ghai
Modified: 2019-11-14 06:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:54:32 UTC
Target Upstream Version:
mruzicka: needinfo? (mmccune)


Attachments (Terms of Use)
on cloning an existing hostgroup after upgrade, UI throws 'Hostgroup Not found' (9.54 KB, image/png)
2015-08-14 11:52 UTC, Sachin Ghai
no flags Details
foreman-debug logs (796.98 KB, application/x-xz)
2015-08-18 10:18 UTC, Sachin Ghai
no flags Details
hostgroup cloning works fine (20.25 KB, image/png)
2016-04-07 11:19 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2109991 None None None 2015-12-30 20:18:46 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Sachin Ghai 2015-08-14 11:52:19 UTC
Created attachment 1062994 [details]
on cloning an existing hostgroup after upgrade, UI throws 'Hostgroup Not found'

Description of problem:
I upgraded sat6.0.8 to sat6.1.1 snap16 and upgrade completed successfully.

I tried to clone existimg hostgroup and UI says: "Host Group Not Found"

Please note that this is the issue with cloning existing hostgroup and after upgrade. Cloning of new hostgroup works fine.

Version-Release number of selected component (if applicable):
upgrade

How reproducible:
always

Steps to Reproduce:
1. install sat6.0.8
2. create a hostgroup
3. upgrade it with 6.1.1
4. cloned the hostgroup created in step2

Actual results:
UI says: "Host Group Not Found"

Expected results:
cloning should work

Additional info:

Comment 1 Sachin Ghai 2015-08-14 11:53:33 UTC
production.log:
=================


2015-08-14 07:51:37 [I] Processing by HostgroupsController#clone as HTML
2015-08-14 07:51:37 [I]   Parameters: {"id"=>"1-hg_rhel71_cap"}
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_selectedClasses.html.erb (1.3ms)
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_classes.html.erb (1.9ms)
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_class_selection.html.erb (13.3ms)
2015-08-14 07:51:37 [I]   Rendered common/_domain.html.erb (8.4ms)
2015-08-14 07:51:37 [I]   Rendered common/_domain_subnet.html.erb (11.0ms)
2015-08-14 07:51:37 [I]   Rendered common/os_selection/_architecture.html.erb (2.5ms)
2015-08-14 07:51:37 [I]   Rendered common/os_selection/_operatingsystem.html.erb (6.8ms)
2015-08-14 07:51:37 [I]   Rendered common/os_selection/_initial.html.erb (11.5ms)
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
2015-08-14 07:51:37 [I]   Rendered puppetclasses/_classes_parameters.html.erb (4.0ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_inherited_parameters.html.erb (0.3ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (2.7ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_puppetclasses_parameters.html.erb (3.8ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameter.html.erb (1.3ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameter.html.erb (1.2ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameter.html.erb (1.2ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameter.html.erb (1.2ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameter.html.erb (1.2ms)
2015-08-14 07:51:37 [I]   Rendered common_parameters/_parameters.html.erb (9.2ms)
2015-08-14 07:51:37 [I]   Rendered taxonomies/_loc_org_tabs.html.erb (4.4ms)
2015-08-14 07:51:37 [I]   Rendered hostgroups/_form.html.erb (225.8ms)
2015-08-14 07:51:37 [I]   Rendered hostgroups/new.html.erb within layouts/application (226.1ms)
2015-08-14 07:51:37 [I]   Rendered home/_submenu.html.erb (1.5ms)
2015-08-14 07:51:37 [I]   Rendered home/_user_dropdown.html.erb (0.9ms)
2015-08-14 07:51:37 [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2015-08-14 07:51:37 [I]   Rendered home/_topbar.html.erb (3.4ms)
2015-08-14 07:51:37 [I]   Rendered layouts/base.html.erb (4.2ms)
2015-08-14 07:51:37 [I] Completed 200 OK in 264ms (Views: 222.6ms | ActiveRecord: 15.3ms)
2015-08-14 07:51:39 [I] Processing by OperatingsystemsController#available_kickstart_repo as */*
2015-08-14 07:51:39 [I]   Parameters: {"lifecycle_environment_id"=>"2", "content_source_id"=>"2", "architecture_id"=>"1", "operatingsystem_id"=>"1", "content_view_id"=>"2", "id"=>"1"}
2015-08-14 07:51:39 [I] Completed 200 OK in 21ms (Views: 0.2ms | ActiveRecord: 4.1ms)
2015-08-14 07:51:39 [I] Processing by Katello::Api::V2::ActivationKeysController#index as */*
2015-08-14 07:51:39 [I]   Parameters: {"content_view_id"=>"2", "api_version"=>"v2", "environment_id"=>"2"}

==> /var/log/candlepin/candlepin.log <==
2015-08-14 07:51:39,928 [req=7256b711-addd-4626-b8f9-ef98722351b4, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/activation_keys/8a90e0ec4f2b2364014f2b482c4502c0
2015-08-14 07:51:39,981 [req=7256b711-addd-4626-b8f9-ef98722351b4, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=53
2015-08-14 07:51:39,996 [req=e76f76c0-9b0b-43be-9cbc-55fac9dde78e, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/activation_keys/8a90e0ec4f2b2364014f2b482c4502c0/content_overrides
2015-08-14 07:51:40,008 [req=e76f76c0-9b0b-43be-9cbc-55fac9dde78e, org=] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=12
2015-08-14 07:51:40,023 [req=638144c2-ca17-4ac5-9abc-d34b0ba83797, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/activation_keys/8a90e0ec4f2b2364014f2b482c4502c0
2015-08-14 07:51:40,076 [req=638144c2-ca17-4ac5-9abc-d34b0ba83797, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=53

==> /var/log/foreman/production.log <==
2015-08-14 07:51:40 [I]   Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.66/app/views/katello/api/v2/activation_keys/index.json.rabl within katello/api/v2/layouts/collection (187.0ms)
2015-08-14 07:51:40 [I] Completed 200 OK in 206ms (Views: 185.8ms | ActiveRecord: 4.4ms)
2015-08-14 07:51:43 [I] Processing by HostgroupsController#create as HTML
2015-08-14 07:51:43 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"XV4XuXD4oS8sgI76abjnIXVWof6YdDOEIr3d51GCMwk=", "hostgroup"=>{"parent_id"=>"", "name"=>"clonehg", "lifecycle_environment_id"=>"2", "content_view_id"=>"2", "environment_id"=>"3", "compute_profile_id"=>"4", "content_source_id"=>"2", "puppet_ca_proxy_id"=>"2", "puppet_proxy_id"=>"2", "puppetclass_ids"=>["", "1"], "domain_id"=>"1", "subnet_id"=>"2", "realm_id"=>"", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"7", "ptable_id"=>"7", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"0"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"1"}, "1"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"4"}, "2"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"3"}, "3"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"2"}}, "location_ids"=>["", "2"], "organization_ids"=>["", "1"], "id"=>""}, "kt_activation_keys"=>"rhel71_ak", "commit"=>"Submit"}
2015-08-14 07:51:43 [I]   Rendered common/404.html.erb within layouts/application (0.9ms)
2015-08-14 07:51:43 [I]   Rendered layouts/base.html.erb (0.9ms)
2015-08-14 07:51:43 [I] Completed 404 Not Found in 19ms (Views: 3.4ms | ActiveRecord: 2.7ms)

Comment 3 Ohad Levy 2015-08-17 11:11:23 UTC
is this for any hostgroup? or rather one ? is it in the same org etc?
please include foreman-debug after you turned on debugging.
thanks!

Comment 4 Sachin Ghai 2015-08-17 12:56:44 UTC
It is for hostgroup added before upgrade. After upgrade, cloning of new hostgroup works fine.

Also, it appears when we are in 'Any Context' mode (when no org is selected)

Yeah.. I'll attach the foreman-debug logs. thanks

Comment 5 Ohad Levy 2015-08-17 13:14:14 UTC
OK, to clarify, a hostgroup that was created after 6.1 upgrade works, but an "old" hostgroup (pre upgrade) does not clone?

Comment 6 Ohad Levy 2015-08-18 06:38:44 UTC
please attach foreman-debug thanks!

Comment 7 Sachin Ghai 2015-08-18 10:12:14 UTC
Okay.. here are the logs after enabling foreman-debug.

----
2015-08-18 06:10:44 [I] Processing by HostgroupsController#create as HTML
2015-08-18 06:10:44 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Mg9uVc1jE/dAlnnUAIZFAEjnroP/Zt15XtKywCCmpoA=", "hostgroup"=>{"parent_id"=>"", "name"=>"clonedgroup", "lifecycle_environment_id"=>"2", "content_view_id"=>"2", "environment_id"=>"3", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "realm_id"=>"", "architecture_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"0"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"1"}, "1"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"4"}, "2"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"3"}, "3"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"2"}}, "location_ids"=>["", "2"], "organization_ids"=>["", "1"], "id"=>""}, "kt_activation_keys"=>"rhel7_ak", "commit"=>"Submit"}
2015-08-18 06:10:44 [D]   User Load (1.0ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  [["id", 3]]
2015-08-18 06:10:44 [D] Setting current user thread-local variable to Admin User
2015-08-18 06:10:44 [D]    (0.4ms)  SELECT COUNT(*) FROM "taxonomies" WHERE "taxonomies"."type" IN ('Organization')
2015-08-18 06:10:44 [D] Setting current organization thread-local variable to none
2015-08-18 06:10:44 [D]    (0.8ms)  SELECT COUNT(*) FROM "taxonomies" WHERE "taxonomies"."type" IN ('Location')
2015-08-18 06:10:44 [D] Setting current location thread-local variable to none
2015-08-18 06:10:44 [D]   AuthSource Load (0.7ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sources"."id" = 1 LIMIT 1
2015-08-18 06:10:44 [D]    (0.4ms)  SELECT id FROM "taxonomies" WHERE "taxonomies"."type" IN ('Location') LIMIT 1
2015-08-18 06:10:44 [D]    (0.2ms)  SELECT id FROM "taxonomies" WHERE "taxonomies"."type" IN ('Organization') LIMIT 1
2015-08-18 06:10:44 [D] WARNING: Can't mass-assign protected attributes: id
2015-08-18 06:10:44 [D]    (1.1ms)  SELECT "taxonomies".id FROM "taxonomies" INNER JOIN "taxable_taxonomies" ON "taxonomies"."id" = "taxable_taxonomies"."taxonomy_id" WHERE "taxable_taxonomies"."taxable_id" IS NULL AND "taxable_taxonomies"."taxable_type" = 'Hostgroup' AND (taxonomies.type='Location') ORDER BY title
2015-08-18 06:10:44 [D]   CACHE (0.0ms)  SELECT "taxonomies".id FROM "taxonomies" INNER JOIN "taxable_taxonomies" ON "taxonomies"."id" = "taxable_taxonomies"."taxonomy_id" WHERE "taxable_taxonomies"."taxable_id" IS NULL AND "taxable_taxonomies"."taxable_type" = 'Hostgroup' AND (taxonomies.type='Location') ORDER BY title
2015-08-18 06:10:44 [D]   Taxonomy Load (0.6ms)  SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."id" = $1 ORDER BY title LIMIT 1  [["id", 2]]
2015-08-18 06:10:44 [D]    (0.5ms)  SELECT "taxonomies".id FROM "taxonomies" INNER JOIN "taxable_taxonomies" ON "taxonomies"."id" = "taxable_taxonomies"."taxonomy_id" WHERE "taxable_taxonomies"."taxable_id" IS NULL AND "taxable_taxonomies"."taxable_type" = 'Hostgroup' AND (taxonomies.type='Organization') ORDER BY title
2015-08-18 06:10:44 [D]   CACHE (0.0ms)  SELECT "taxonomies".id FROM "taxonomies" INNER JOIN "taxable_taxonomies" ON "taxonomies"."id" = "taxable_taxonomies"."taxonomy_id" WHERE "taxable_taxonomies"."taxable_id" IS NULL AND "taxable_taxonomies"."taxable_type" = 'Hostgroup' AND (taxonomies.type='Organization') ORDER BY title
2015-08-18 06:10:44 [D]   Taxonomy Load (0.2ms)  SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."id" = $1 ORDER BY title LIMIT 1  [["id", 1]]
2015-08-18 06:10:44 [D]   GroupParameter Load (0.4ms)  SELECT "parameters".* FROM "parameters" WHERE "parameters"."type" IN ('GroupParameter') AND "parameters"."reference_id" IS NULL AND "parameters"."id" IN (1, 4, 3, 2) ORDER BY parameters.name
2015-08-18 06:10:44 [D] not found: Couldn't find GroupParameter with ID=1 for Hostgroup with ID=
2015-08-18 06:10:44 [I]   Rendered common/404.html.erb within layouts/application (2.9ms)
2015-08-18 06:10:44 [I]   Rendered layouts/base.html.erb (1.8ms)
2015-08-18 06:10:44 [I] Completed 404 Not Found in 54ms (Views: 8.5ms | ActiveRecord: 6.4ms)
tail: /var/log/foreman/production.log: file truncated
2015-08-18 06:11:03 [I] Client disconnected.
2015-08-18 06:11:03 [I] Client disconnected.
2015-08-18 06:11:16 [I] Connecting to database specified by database.yml

Comment 8 Sachin Ghai 2015-08-18 10:14:55 UTC
(In reply to Ohad Levy from comment #5)
> OK, to clarify, a hostgroup that was created after 6.1 upgrade works, but an
> "old" hostgroup (pre upgrade) does not clone?

yes..correct. And an "old" hostgroup (pre upgrade) does not clone in 'Any Context' (without selecting any org). 

Please note that if you try to create clone of "old" hostgroup within 'Default Organization' then this issue doesn't appear at all.

Comment 9 Sachin Ghai 2015-08-18 10:18:22 UTC
Created attachment 1064278 [details]
foreman-debug logs

Comment 10 Sachin Ghai 2015-08-18 11:47:51 UTC
Another observation that Shimon helped to figure out is:

This issue is not just with cloning of existing hostgroups, It is also appearing while cloning the new hostgroup after upgrade. Please note that when we create a new hostgroup with just name (without associating any parameters) then hostgroup cloning just works.

So as per Shimon's investigation, It's one of the parameters in the hostgroup that prevents it from cloning

Comment 12 Shimon Shtein 2015-08-18 12:17:45 UTC
Created redmine issue http://projects.theforeman.org/issues/11404 from this bug

Comment 13 Bryan Kearney 2015-08-25 18:36:17 UTC
Upstream bug component is Provisioning

Comment 14 Bryan Kearney 2015-08-26 18:03:32 UTC
Upstream bug component is Provisioning

Comment 15 Bryan Kearney 2015-08-26 18:43:16 UTC
Upstream bug component is Host Group

Comment 16 Marek Hulan 2015-09-10 07:50:52 UTC
Changing the upstream issue. This one is superset and has a PR associated that contains the fix.

Comment 17 Bryan Kearney 2015-09-10 08:04:43 UTC
Upstream bug component is Hosts

Comment 18 Marek Hulan 2015-09-10 10:56:53 UTC
Reverting back, the PR was change to fix the cloning just for host and 9815 still applies to hostgroup (while 8521 is base for 9815)

Comment 19 Bryan Kearney 2015-09-22 13:14:05 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 26 Sachin Ghai 2016-04-07 11:16:59 UTC
Verified with sat6.2 snap6.2

I can clone a hostgroup that includes parameters too. Please see the logs:



2016-04-07 07:15:36 [app] [I] Started GET "/hostgroups/5-clone_hg/clone" for 10.65.193.200 at 2016-04-07 07:15:36 -0400
2016-04-07 07:15:36 [app] [I] Processing by HostgroupsController#clone as HTML
2016-04-07 07:15:36 [app] [I]   Parameters: {"id"=>"5-clone_hg"}
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_classes.html.erb (0.2ms)
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_class_selection.html.erb (19.8ms)
2016-04-07 07:15:37 [app] [I]   Rendered common/os_selection/_architecture.html.erb (3.1ms)
2016-04-07 07:15:37 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (21.3ms)
2016-04-07 07:15:37 [app] [I]   Rendered common/os_selection/_initial.html.erb (26.3ms)
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
2016-04-07 07:15:37 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (7.7ms)
2016-04-07 07:15:37 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.0ms)
2016-04-07 07:15:37 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2016-04-07 07:15:37 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2016-04-07 07:15:37 [app] [I]   Rendered common_parameters/_parameters.html.erb (7.4ms)
2016-04-07 07:15:37 [app] [I]   Rendered taxonomies/_loc_org_tabs.html.erb (5.5ms)
2016-04-07 07:15:37 [app] [I]   Rendered hostgroups/_form.html.erb (119.6ms)
2016-04-07 07:15:37 [app] [I]   Rendered hostgroups/new.html.erb within layouts/application (120.0ms)
2016-04-07 07:15:37 [app] [I]   Rendered layouts/_application_content.html.erb (0.2ms)
2016-04-07 07:15:37 [app] [I]   Rendered home/_submenu.html.erb (0.9ms)
2016-04-07 07:15:37 [app] [I]   Rendered home/_user_dropdown.html.erb (1.1ms)
2016-04-07 07:15:37 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2016-04-07 07:15:37 [app] [I]   Rendered home/_topbar.html.erb (3.2ms)
2016-04-07 07:15:37 [app] [I]   Rendered layouts/base.html.erb (4.0ms)
2016-04-07 07:15:37 [app] [I] Completed 200 OK in 193ms (Views: 115.1ms | ActiveRecord: 19.1ms)
2016-04-07 07:15:37 [app] [I] Started GET "/operatingsystems/2/available_kickstart_repo?lifecycle_environment_id=2&content_source_id=1&architecture_id=1&operatingsystem_id=2&content_view_id=2" for 10.65.193.200 at 2016-04-07 07:15:37 -0400
2016-04-07 07:15:37 [app] [I] Processing by OperatingsystemsController#available_kickstart_repo as */*
2016-04-07 07:15:37 [app] [I]   Parameters: {"lifecycle_environment_id"=>"2", "content_source_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"2", "content_view_id"=>"2", "id"=>"2"}
2016-04-07 07:15:37 [app] [I] Completed 200 OK in 21ms (Views: 0.2ms | ActiveRecord: 3.5ms)
2016-04-07 07:15:38 [app] [I] Started GET "/katello/api/v2/environments/2/activation_keys?content_view_id=2" for 10.65.193.200 at 2016-04-07 07:15:38 -0400
2016-04-07 07:15:38 [app] [I] Processing by Katello::Api::V2::ActivationKeysController#index as */*
2016-04-07 07:15:38 [app] [I]   Parameters: {"content_view_id"=>"2", "api_version"=>"v2", "environment_id"=>"2"}
2016-04-07 07:15:38 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.14/app/views/katello/api/v2/activation_keys/index.json.rabl within katello/api/v2/layouts/collection (300.1ms)
2016-04-07 07:15:38 [app] [I] Completed 200 OK in 309ms (Views: 295.7ms | ActiveRecord: 6.4ms)
2016-04-07 07:15:48 [app] [I] Started POST "/hostgroups" for 10.65.193.200 at 2016-04-07 07:15:48 -0400
2016-04-07 07:15:48 [app] [I] Processing by HostgroupsController#create as */*
2016-04-07 07:15:48 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"LkjrhgFunVhiQ0DafcbHQcpbUTEEbuhYJNj+Miw+63E=", "hostgroup"=>{"parent_id"=>"", "name"=>"newclone", "lifecycle_environment_id"=>"2", "content_view_id"=>"2", "environment_id"=>"1", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "openscap_proxy_id"=>"", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "realm_id"=>"", "architecture_id"=>"1", "operatingsystem_id"=>"2", "medium_id"=>"10", "ptable_id"=>"61", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"0"=>{"name"=>"kt_[activation_key]", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false"}, "1"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false"}}, "location_ids"=>["", "2"], "organization_ids"=>["", "1"], "id"=>""}, "kt_activation_keys"=>"ak_rhel7"}
2016-04-07 07:15:48 [app] [I] Redirected to https://cloud-qe-17.idmqe.lab.eng.bos.redhat.com/hostgroups
2016-04-07 07:15:48 [app] [I] Completed 302 Found in 120ms (ActiveRecord: 35.7ms)
2016-04-07 07:15:48 [app] [I] Started GET "/hostgroups" for 10.65.193.200 at 2016-04-07 07:15:48 -0400
2016-04-07 07:15:48 [app] [I] Processing by HostgroupsController#index as */*
2016-04-07 07:15:48 [app] [I]   Rendered hostgroups/index.html.erb within layouts/application (44.6ms)
2016-04-07 07:15:48 [app] [I]   Rendered common/_searchbar.html.erb (2.0ms)
2016-04-07 07:15:48 [app] [I]   Rendered layouts/_application_content.html.erb (2.4ms)
2016-04-07 07:15:48 [app] [I]   Rendered home/_submenu.html.erb (0.9ms)
2016-04-07 07:15:48 [app] [I]   Rendered home/_user_dropdown.html.erb (1.1ms)
2016-04-07 07:15:48 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2016-04-07 07:15:48 [app] [I]   Rendered home/_topbar.html.erb (3.0ms)
2016-04-07 07:15:48 [app] [I]   Rendered layouts/base.html.erb (3.8ms)
2016-04-07 07:15:48 [app] [I] Completed 200 OK in 66ms (Views: 48.7ms | ActiveRecord: 5.6ms)

Comment 27 Sachin Ghai 2016-04-07 11:19:24 UTC
Created attachment 1144682 [details]
hostgroup cloning works fine

Comment 29 errata-xmlrpc 2016-07-27 08:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.